Module jdk.compiler
Package com.sun.source.tree

## Interface BlockTree

All Superinterfaces:
  StatementTree, Tree

    public interface BlockTree
    extends StatementTree

A tree node for a statement block. For example:

       { }

       { statements }

       static { statements }

Since:
  1.6
See The Java™ Language Specification:
  section 14.2

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends StatementTree>` `getStatements()` Returns the statements comprising this block.
`boolean` `isStatic()` Returns true if and only if this is a static initializer block.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### isStatic

    boolean isStatic()

Returns true if and only if this is a static initializer block.

Returns:
  true if this is a static initializer block

#### getStatements

    List<? extends StatementTree> getStatements()

Returns the statements comprising this block.

Returns:
  the statements